Get merchant details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/merchants/{merchantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/merchants/{merchantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/merchants/{merchantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"name": "<string>",
"id": "<string>",
"status": "PREACTIVE",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"coordinate": {
"altitude": 123,
"latitude": 123,
"longitude": 123
},
"name": "<string>",
"description": "<string>"
}
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Merchants
Get merchant details
Returns details for a specific merchant.
GET
https://api.platform.getstell.com
/
v1
/
merchants
/
{merchantId}
Get merchant details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/merchants/{merchantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/merchants/{merchantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/merchants/{merchantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"name": "<string>",
"id": "<string>",
"status": "PREACTIVE",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"coordinate": {
"altitude": 123,
"latitude": 123,
"longitude": 123
},
"name": "<string>",
"description": "<string>"
}
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Response
200 response
Brand or business unit within a company.
ISO 8601 timestamp when the merchant was created
ID of the parent company this merchant belongs to
Merchant business name
Unique merchant identifier in ULID format
Current operational status of the merchant
Available options:
PREACTIVE, ACTIVE, INACTIVE, CLOSED ISO 8601 timestamp when the merchant was last updated
External system identifier for integration purposes
Physical location details for the merchant
Show child attributes
Show child attributes
Was this page helpful?